Bug 738099 - Mobile Broadband connection disappears from NM applet connection list after waking
Summary: Mobile Broadband connection disappears from NM applet connection list after w...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 22:20 UTC by Rob Sharp
Modified: 2012-09-11 05:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:04:37 UTC


Attachments (Terms of Use)
var log messages (1.03 MB, application/octet-stream)
2011-09-14 07:58 UTC, Rob Sharp
no flags Details
xsession errors (4.33 KB, application/octet-stream)
2011-09-14 07:59 UTC, Rob Sharp
no flags Details

Description Rob Sharp 2011-09-13 22:20:24 UTC
Description of problem:

After my laptop wakes from sleep, I am unable to reconnect mobile broadband as the connection is no longer available via the NM applet, but the connection is still listed via nm-connection-editor.

It appears that if I change and save the connection in nm-connection-editor, it is added back into the list.

The problem does not appear after reboot etc. - only waking from sleep.

Version-Release number of selected component (if applicable):

robsharp@laphroaig:~$ nm --version
GNU nm version 2.21.51.0.6-6.fc15 20110118

How reproducible:

Always.

Steps to Reproduce:
1. With a working mobile broadband connection, close the laptop lid to sleep
2. Open the laptop lid to wake the laptop, enter password
3. View nm-applet connection list

Actual results:
Mobile broadband connection is missing

Expected results:
Mobile broadband connection should be displayed

Additional info:
I have an internal Ericsson HSPA + (F5521gw) WWAN mobile broadband card.

Comment 1 Jirka Klimes 2011-09-14 06:54:32 UTC
1) Are you using GnomeShell indicator or plain nm-applet?
2) Please report NM versions:
  rpm -q NetworkManager
  rpm -q NetworkManager-gnome
('nm --version' is not related to NetworkManager, it's a tool for listing symbols from object files)
3) Grab and attach /var/log/messages file, so that we can see what happens when suspending/resuming
4) Any related errors in ~/.xsession-errors?

Comment 2 Rob Sharp 2011-09-14 07:58:53 UTC
Created attachment 523075 [details]
var log messages

var log messages as requested.

Comment 3 Rob Sharp 2011-09-14 07:59:45 UTC
Created attachment 523076 [details]
xsession errors

xsession errors as requested

Comment 4 Rob Sharp 2011-09-14 08:00:08 UTC
(In reply to comment #1)
> 1) Are you using GnomeShell indicator or plain nm-applet?

GnomeShell

> 2) Please report NM versions:
>   rpm -q NetworkManager

NetworkManager-0.9.0-1.fc15.x86_64

>   rpm -q NetworkManager-gnome

NetworkManager-gnome-0.9.0-1.fc15.x86_64

> ('nm --version' is not related to NetworkManager, it's a tool for listing
> symbols from object files)

Oops. Noob.

> 3) Grab and attach /var/log/messages file, so that we can see what happens when
> suspending/resuming

Attached. I suspended at Sep 14 17:52 with a running mobile broadband connection and resumed at Sep 14 17:53:06.

> 4) Any related errors in ~/.xsession-errors?

Yes - attached.

Comment 5 Fedora End Of Life 2012-08-07 16:04:39 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Rob Sharp 2012-08-08 06:41:28 UTC
Confirmed fixed on F17.


Note You need to log in before you can comment on or make changes to this bug.